View Issue Details

IDProjectCategoryView StatusLast Update
0002546FEM[FreeCAD] Featurepublic2016-08-14 21:09
ReporterHoWilAssigned To 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version[FreeCAD] 0.16 
Target VersionFixed in Version[FreeCAD] 0.17 
Summary0002546: FEM constraint parameters can't be smaller than 0,01 (N)
DescriptionThe FEM constraint parameters for area load can't be smaller than 0,01 (N). For simulations of fragile structures (like MEMS) is this to much and should be scalable with exponents like 1e-4 or 0,0001.
Forces at least down to pN (1e-12) would be grate.
TagsFEM, GUI

Activities

berndhahnebach

2016-07-28 23:20

developer   ~0007223

It only apply to the GUI. You can set such small values by python. Tested on FreeCAD 0.17.8048


Start FreeCAD --> change to Start WorkBench --> Load the 3D FEM example

in pyhton console
forceobj = App.ActiveDocument.getObject("FemConstraintForce")
forceobj.Force = 1E-12



copy from CalculiX input file

***********************************************************
** Node loads
** written by write_constraints_force function
*CLOAD
** FemConstraintForce
** node loads on shape: Box:Face2
1,3,-0.0000000000000E+00
2,3,-0.0000000000000E+00
3,3,-0.0000000000000E+00
4,3,-0.0000000000000E+00
49,3,-0.0000000000000E+00
64,3,-8.3333333333333E-14
88,3,-8.3333333333333E-14
100,3,-8.3333333333334E-14
102,3,-8.3333333333333E-14
188,3,-1.6666666666667E-13
189,3,-1.6666666666667E-13
190,3,-1.6666666666667E-13
191,3,-1.6666666666667E-13

wmayer

2016-08-14 21:09

administrator   ~0007273

Replacing the standard spinbox with a quantity spinbox fixes the problem.

Issue History

Date Modified Username Field Change
2016-05-12 17:29 HoWil New Issue
2016-05-12 17:29 HoWil Tag Attached: FEM
2016-05-12 17:29 HoWil Tag Attached: GUI
2016-07-28 23:20 berndhahnebach Note Added: 0007223
2016-08-14 21:07 wmayer Changeset attached => FreeCAD Master master 99ad0b71
2016-08-14 21:09 wmayer Note Added: 0007273
2016-08-14 21:09 wmayer Status new => closed
2016-08-14 21:09 wmayer Resolution open => fixed
2016-08-14 21:09 wmayer Fixed in Version => 0.17